package com.simualteSmack;

import org.xmlpull.v1.XmlPullParser;

import com.simualteSmack.model.Packet;
/**      
 * @date 2011-7-31  
 * @author zhanghaitao     
 * @version 1.0 
 *     
 */
public class PacketParserUtils {
	/**
	 * Namespace used to store packet properties.
	 */
	private static final String PROPERTIES_NAMESPACE = "http://www.jivesoftware.com/xmlns/xmpp/properties";

	/**
	 * Parses a message packet.
	 * 
	 * @param parser
	 *            the XML parser, positioned at the start of a message packet.
	 * @return a Message packet.
	 * @throws Exception
	 *             if an exception occurs while parsing the packet.
	 */
	public static Packet parseMessage(XmlPullParser parser) throws Exception {

		boolean done = false;
		Packet message = new Packet();
		while (!done) {
			int eventType = parser.next();
			if (eventType == XmlPullParser.START_TAG) {
				String elementName = parser.getName();
				System.out.println(parser.getName());
				System.out.println("parseMessage:" + parser.getText());
				if (elementName.equals("body")) {
					message.setBody(parser.getAttributeValue("", "id"));
				}
			} else if (eventType == XmlPullParser.END_TAG) {
				if (parser.getName().equals("message")) {
					done = true;
				}
			}
		}

		return message;
	}

}
